import { ILogger, ConnectionErrorHandler } from '@theia/core/lib/common';
import { HostedPluginClient, PluginModel, DeployedPlugin, PluginIdentifiers } from '../../common/plugin-protocol';
import { LogPart } from '../../common/types';
import { HostedPluginProcess } from './hosted-plugin-process';
export interface IPCConnectionOptions {
    readonly serverName: string;
    readonly logger: ILogger;
    readonly args: string[];
    readonly errorHandler?: ConnectionErrorHandler;
}
export declare class HostedPluginSupport {
    private isPluginProcessRunning;
    private client;
    protected readonly logger: ILogger;
    protected readonly hostedPluginProcess: HostedPluginProcess;
    /**
     * Optional runners to delegate some work
     */
    private readonly pluginRunners;
    protected init(): void;
    setClient(client: HostedPluginClient): void;
    clientClosed(): void;
    runPlugin(plugin: PluginModel): void;
    onMessage(pluginHostId: string, message: Uint8Array): void;
    runPluginServer(): void;
    /**
     * Provides additional plugin ids.
     */
    getExtraDeployedPluginIds(): Promise<PluginIdentifiers.VersionedId[]>;
    /**
     * Provides additional deployed plugins.
     */
    getExtraDeployedPlugins(): Promise<DeployedPlugin[]>;
    sendLog(logPart: LogPart): void;
    private terminatePluginServer;
}
//# sourceMappingURL=hosted-plugin.d.ts.map